# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177738608189898/fontconfig-feedstock/recipe, last modified Tue Apr 28 14:22:58 2026
# ------------------------------------------------

package:
  name: fontconfig
  version: 2.17.1
source:
  url: https://gitlab.freedesktop.org/fontconfig/fontconfig/-/archive/2.17.1/fontconfig-2.17.1.tar.gz
  sha256: 82e73b26adad651b236e5f5d4b3074daf8ff0910188808496326bd3449e5261d
  patches:
    - patches/fcf.patch
    - patches/fix_test_url.patch
build:
  number: '0'
  binary_has_prefix_files:
    - lib/libfontconfig.so.1.*
  run_exports:
    - fontconfig >=2.17.1,<3.0a0
  string: h062c814_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - autoconf 2.71 pl5340h5eee18b_0
    - automake 1.16.5 pl5340h06a4308_1
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - expat 2.7.5 h7354ed3_0
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_13
    - gettext 0.25.1 hd8bbc44_1
    - gettext-tools 0.25.1 hecf7c64_1
    - gperf 3.1 hb29a3a9_0
    - icu 73.1 h6a678d5_0
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libasprintf 0.25.1 ha6c9436_1
    - libasprintf-devel 0.25.1 ha6c9436_1
    - libexpat 2.7.5 h7354ed3_0
    - libgcc 15.2.0 h69a1729_7
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgcc-ng 15.2.0 h166f726_7
    - libgettextpo 0.25.1 h64fc44f_1
    - libgettextpo-devel 0.25.1 h64fc44f_1
    - libgomp 15.2.0 h4751f2c_7
    - libiconv 1.18 h75a1612_0
    - libltdl 2.6.0 h47b2149_0
    - libsanitizer 14.3.0 hd4faa28_4
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libtool 2.6.0 h7354ed3_0
    - libxml2 2.14.4 h3457413_0
    - libzlib 1.3.1 h47b2149_1
    - m4 1.4.18 h4e445db_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.5 h7934f7d_0
    - patch 2.8 hb25bd0a_0
    - perl 5.42.2 1_h47b2149_perl5
    - pkg-config 0.29.2 h1bed415_8
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026a he532380_0
    - xz 5.8.2 h448239c_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - expat 2.7.5 h7354ed3_0
    - freetype 2.14.1 hf5b9546_0
    - icu 73.1 h6a678d5_0
    - libexpat 2.7.5 h7354ed3_0
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libpng 1.6.56 h22898a0_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxml2 2.14.4 h3457413_0
    - libzlib 1.3.1 h47b2149_1
    - unzip 6.0 h611a1e1_0
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
  run:
    - __glibc >=2.28,<3.0.a0
    - freetype >=2.14.1,<3.0a0
    - libexpat >=2.7.5,<3.0a0
    - libgcc >=14
    - libuuid >=1.41.5,<2.0a0
    - libxml2 >=2.14.4,<2.15.0a0
    - libzlib >=1.3.1,<2.0a0
test:
  requires:
    - pkg-config
about:
  home: https://www.freedesktop.org/wiki/Software/fontconfig
  license: MIT
  license_file: COPYING
  license_family: MIT
  summary: A library for configuring and customizing font access
  description: 'Fontconfig is a library designed to provide system-wide font configuration,

    customization and application access.

    '
  doc_url: https://www.freedesktop.org/software/fontconfig/fontconfig-user.html
  dev_url: https://gitlab.freedesktop.org/fontconfig/fontconfig
extra:
  recipe-maintainers:
    - ccordoba12
    - jakirkham
    - katietz
    - mingwandroid
    - ocefpaf
    - pkgw
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/fontconfig-feedstock
  sha: d8e695feeea55dd38a6434e980e9d5144bb09574
  task_id: JNlpZqtJTbetvYAtG8g6hA
  task_run_id: '0'
  pbp_graph_uuid: 3eff5206-e88a-441e-b694-59b5c3a3b86c
